[arch-commits] Commit in lincity/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 23:16:32 EDT 2009


    Date: Thursday, April 9, 2009 @ 23:16:32
  Author: eric
Revision: 34544

Fixed svn conflict

Modified:
  lincity/repos/extra-i686/	(properties)
  lincity/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)


Property changes on: lincity/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lincity/trunk:1
   + /lincity/trunk:1-34543

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 03:07:57 UTC (rev 34543)
+++ extra-i686/PKGBUILD	2009-04-10 03:16:32 UTC (rev 34544)
@@ -4,16 +4,18 @@
 
 pkgname=lincity
 pkgver=1.12.1
-pkgrel=2
+pkgrel=3
 pkgdesc="LinCity is an SVGALIB (Linux only) and X based city/country simulation game for Linux and other Unix platforms (Solaris, FreeBSD, HP_UX, AIX, SCO and IRIX)."
+arch=('i686' 'x86_64')
+url="http://lincity.sourceforge.net/"
+license=('GPL2')
 depends=('libxext' 'libsm')
-source=(http://dl.sourceforge.net/sourceforge/lincity/$pkgname-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/lincity/$pkgname-$pkgver.tar.gz)
 md5sums=('cda964325bc041993bbefba297faf42b')
-url="http://lincity.sourceforge.net/"
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr
-make || return 1
-make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list